<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='BaseDimStateAlert' :maxState='0')
  template(v-slot:description)
    h5 This is a DIM State widget example (#[code MERGER/State] on #[code ntofdaq-m12.cern.ch])
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("proxy") the dim proxy (localhost by default)
        +prop("dns") the dim dns
        +prop("service") the dim state service
        +prop("primaryStyle") primary style applied when not in error/warning
        +prop("defaultString") placeholder waiting for service data

    div #[strong Data:]
      ul
        +prop("strState") dim string state
        +prop("state") dim enum state
        +prop("errors") array of errors
        +prop("warnings") array of warnings

    div #[strong Methods:]
      ul
        +prop("toggleDetails()") open/close details about warning/errors

    div #[strong Signals:]
      ul
        +prop("state-change") emitted whenever a state change

    div #[strong Slots:] None

  template(v-slot:code)
    template(v-pre).
      BaseDimStateAlert(service='MERGER/State' dns='ntofdaq-m12.cern.ch')
</template>
<script>
import Example from "./AppExample.vue";

export default {
  name: "AppExampleDimState",
  components: { Example }
};

</script>
